Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.rtf
Class RtfHeaderFooter

    java.lang.Object
      com.lowagie.text.Rectangle
          com.lowagie.text.HeaderFooter
              com.lowagie.text.rtf.RtfHeaderFooter

All Implemented Interfaces:
  Element

Deprecated. Please move to the RtfWriter2 and associated classes. com.lowagie.text.rtf.headerfooter.RtfHeaderFooter replaces the functionality of this class.

    public class RtfHeaderFooter

extends HeaderFooter

This HeaderFooter specialization extends the normal HeaderFooter impl. by the new ctor with 'Element' param. So we have the ability to add a table or some moe sophisticated stuff as header or footer content. ONLY FOR USE WITH THE RtfWriter NOT with the RtfWriter2. This class is based on the RtfWriter-package from Mark Hall.

Version:
  $Revision: 2356 $Date: 2006/09/12 12:16:35 $
Author:
  Steffen.Stundzig (Steffen.Stundzig@smb-tec.com), Mark Hall (mhall@edu.uni-klu.ac.at)

Field Summary
`private Element` | `content` Deprecated.

Fields inherited from class com.lowagie.text.Rectangle
`backgroundColor, border, borderColor, borderColorBottom, borderColorLeft, borderColorRight, borderColorTop, borderWidth, borderWidthBottom, borderWidthLeft, borderWidthRight, borderWidthTop, BOTTOM, BOX, LEFT, llx, lly, NO_BORDER, RIGHT, rotation, TOP, UNDEFINED, urx, ury, useVariableBorders`

Fields inherited from interface com.lowagie.text.Element
`ALIGN_BASELINE, ALIGN_BOTTOM, ALIGN_CENTER, ALIGN_JUSTIFIED, ALIGN_JUSTIFIED_ALL, ALIGN_LEFT, ALIGN_MIDDLE, ALIGN_RIGHT, ALIGN_TOP, ALIGN_UNDEFINED, ANCHOR, ANNOTATION, AUTHOR, CCITT_BLACKIS1, CCITT_ENCODEDBYTEALIGN, CCITT_ENDOFBLOCK, CCITT_ENDOFLINE, CCITTG3_1D, CCITTG3_2D, CCITTG4, CELL, CHAPTER, CHUNK, CREATIONDATE, CREATOR, HEADER, IMGRAW, IMGTEMPLATE, JPEG, JPEG2000, KEYWORDS, LIST, LISTITEM, MARKED, MULTI_COLUMN_TEXT, PARAGRAPH, PHRASE, PRODUCER, PTABLE, RECTANGLE, ROW, SECTION, SUBJECT, TABLE, TITLE`

Constructor Summary
`RtfHeaderFooter(Element content)` Deprecated. Constructs a new header
`RtfHeaderFooter(Phrase before, boolean numbered)` Deprecated. Constructs a new header
`RtfHeaderFooter(Phrase before, Phrase after)` Deprecated. Constructs a new header

Method Summary
`Element` | `content()` Deprecated.

Methods inherited from class com.lowagie.text.HeaderFooter
`alignment, getAfter, getBefore, isNumbered, paragraph, setAlignment, setPageNumber`

Methods inherited from class com.lowagie.text.Rectangle
`backgroundColor, border, borderColor, borderWidth, bottom, bottom, cloneNonPositionParameters, disableBorderSide, enableBorderSide, getBackgroundColor, getBorder, getBorderColor, getBorderColorBottom, getBorderColorLeft, getBorderColorRight, getBorderColorTop, getBorderWidth, getBorderWidthBottom, getBorderWidthLeft, getBorderWidthRight, getBorderWidthTop, getBottom, getBottom, getChunks, getGrayFill, getHeight, getLeft, getLeft, getRight, getRight, getRotation, getTop, getTop, getWidth, grayFill, hasBorder, hasBorders, height, isUseVariableBorders, left, left, normalize, process, rectangle, right, right, rotate, setBackgroundColor, setBorder, setBorderColor, setBorderColorBottom, setBorderColorLeft, setBorderColorRight, setBorderColorTop, setBorderWidth, setBorderWidthBottom, setBorderWidthLeft, setBorderWidthRight, setBorderWidthTop, setBottom, setGrayFill, setLeft, setRight, setTop, setUseVariableBorders, softCloneNonPositionParameters, top, top, toString, type, width`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### content

    private Element content

  Deprecated.

Constructor Detail

### RtfHeaderFooter

    public RtfHeaderFooter(Phrase before,
                           Phrase after)

  Deprecated.
  Constructs a new header

  Parameters:
    `before` -
    `after` -

### RtfHeaderFooter

    public RtfHeaderFooter(Phrase before,
                           boolean numbered)

  Deprecated.
  Constructs a new header

  Parameters:
    `before` -
    `numbered` -

### RtfHeaderFooter

    public RtfHeaderFooter(Element content)

  Deprecated.
  Constructs a new header

  Parameters:
    `content` -

Method Detail

### content

    public Element content()

  Deprecated.
  Returns:
    the element specified in the ctor or null;

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD